YAFLogo

jgok
  • jgok
  • 50.2% (Neutral)
  • YAF Forumling Topic Starter
11 years ago
Hi Guys

I have been tying to install this software for test purposes on my local machine and i am able to get through most of the install with out a problem

however once the tables start to be created i get the following error message:

The INSERT statement conflicted with the FOREIGN KEY constraint "FK_yaf_BBCode_Board". The conflict occurred in database "ForumTest", table "dbo.yaf_Board", column 'BoardID'.

The statement has been terminated.

The database was completely empty (I had added a new user for the yaf to access the DB and that is the only change i have made to it) and now the DB is full of tables

The rest of the site is unable to run as it says there is no data for board ID:1

I have already tried dropping the whole DB and trying again but I got the same error

Thanks in advance

Sponsor
tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 4.0.0 rc 2
11 years ago
KNOWN ISSUES WITH THIS RELEASE: ON INSTALL PLEASE DON'T CHECK "Upgrade BBCode Extensions...".
johnk
  • johnk
  • 74.8% (Friendly)
  • YAF All-the-Time
11 years ago

KNOWN ISSUES WITH THIS RELEASE: ON INSTALL PLEASE DON'T CHECK "Upgrade BBCode Extensions...".

Originally Posted by: tha_watcha 

Since a lot of users are posting about this error, I have a suggestion: Why dont we uncheck the "Upgrade BBCode Extension" checkbox and also disable it (with some comments so that users wont be confused).

This way users are aware of this functionality (for later release) and they can easily install the forum without running into any problems.